<%@ page import="java.io.File,com.cidat.proclets.*,q53_util.*,java.util.StringTokenizer;" session="false" %>
<% com.cidat.proclets.ProcletServiceData sd =(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); %>
<%  
HttpSession session = request.getSession();

if (!session.isNew()) {
    session.invalidate();
    session = request.getSession();
}
//deshabilitar la cache
response.setHeader("Cache-Control", "no-cache"); 
response.addHeader( "pragma", "no-cache");
response.setDateHeader("Expires", -1);
//FIN deshabilitar la cache
// recoger el cookie que contiene el valor de mostrar los hijos y las oficinas hijo
Cookie[] cookies=request.getCookies();
String eleccion_del_coordinador="nada";
String mostrar_hijos="nada";
String oficinas_hijo="nada";
String mostrar_elegir="nada";
String[] nombres_oficinas={"nada"};
String dominio = q53Util.getDominio(request.getRequestURL());

if (request.getParameter("resetLit")!=null){
	q53Util.resetLiterales();
}

int p=0;
boolean es_error = true;
boolean es_app = false;
boolean logeado= false;
if(cookies!=null){
	for(int i=0;i<cookies.length;i++){
		//q53LogEstadisticas.printLog("nombre de la cookie->"+cookies[i].getName()+" valor de la cookie->"+cookies[i].getValue());
		if(cookies[i].getName().equals("q53_mostrar_hijos")){
			mostrar_hijos=cookies[i].getValue();
		 }
		if(cookies[i].getName().equals("q53_nombre_usuario")){
			logeado = true;
		}
	}
}

// invalidar las cookies de usuario, oficina , perfil 
Cookie ck_usuario = new Cookie ("q53_usuario", "");
ck_usuario.setDomain (dominio);
ck_usuario.setPath ("");
ck_usuario.setMaxAge (0);
Cookie ck_oficina = new Cookie ("q53_oficina", ""); 
ck_oficina.setDomain (dominio);
ck_oficina.setPath ("");
ck_oficina.setMaxAge (0);
Cookie ck_perfil = new Cookie ("q53_perfil", "");
ck_perfil.setDomain (dominio);
ck_perfil.setPath ("");
ck_perfil.setMaxAge (0);
response.addCookie(ck_usuario);
response.addCookie(ck_oficina);
response.addCookie(ck_perfil);

if (request.getParameter("es_usuario_error")==null){
	es_error = !logeado;
	// tambien invalidar la cooki de destino
	Cookie ck_destino = new Cookie ("q53_destino", "");
	ck_destino.setDomain (dominio);
	ck_destino.setPath ("");
	ck_destino.setMaxAge (0);
	response.addCookie(ck_destino);
}

String destino = "";
if (request.getParameter("app")!=null){
	es_app = true;
	destino = request.getParameter("app");
	// Creo la cookie que almacena el destino
    Cookie ck_destino = new Cookie("q53_destino", destino);
    q53LogEstadisticas.printLog("cookie ck_destino-"+ destino);
    ck_destino.setDomain(dominio);
    ck_destino.setPath("");
    response.addCookie(ck_destino);	
}

%>

<!DOCTYPE html> <!-- HTML5 -->
<html>
<head>

<!-- Tags para diseño responsive -->
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Fin tags para diseño responsive -->

<title> itourbask </title>
<!-- Bootstrap core CSS -->
<link rel="stylesheet" href="/appcont/itourbask/styles/bootstrap.css" type="text/css">
<link rel="stylesheet" href="/appcont/itourbask/styles/index.css" type="text/css">
<link rel="stylesheet" href="/appcont/itourbask/styles/estilos.css" type="text/css">
<link rel="stylesheet" href="/appcont/itourbask/jquery-ui/jquery-ui.css" type="text/css">
<script src="/appcont/itourbask/jquery-ui/external/jquery/jquery.js"></script>
<script src="/appcont/itourbask/jquery-ui/jquery-ui.js"></script>
<script src="/appcont/itourbask/scripts/cookies.js"></script>
<script src="/appcont/itourbask/scripts/param.js"></script>
<link href="/appcont/itourbask/styles/floating-labels.css" rel="stylesheet" type="text/css">

<%File ficheroproperties = new File(q53Constantes.PATH_PROPERTIES_FILE);
ProcletProperties props = new ProcletProperties(ficheroproperties);
 %>
<script src="<%=props.get("irontec_link_js")%>"></script>

<script type="text/javascript">

/*
var app = '<%= destino %>';	
if (!prm_isParametro("es_usuario_error") &&	app!=null && app!=""){		
	document.location.href = "q53genLoginServlet?app=<%=request.getParameter("app")%>";
}*/

function aceptar (idioma) {
	var dominio = location.host; // xxx.dominio.do	
	<% if ("LOCAL".equalsIgnoreCase(q53Util.getQ53Property("ENTORNO"))){ %> // para trabajar en local
		var tmp = dominio.indexOf(":");
		if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(0, tmp);
	<% } else { %> // para conseguir sólo el dominio.do:
		var tmp = dominio.indexOf(".");
		if (tmp > -1 && tmp+1 < dominio.length) dominio = dominio.substring(tmp+15);
	<% } %>
	
	if (idioma != "") {
	    cki_setCookie( "q53_idioma", idioma, null, dominio);
	}

	document.frm.submit();
}

function hacer_focus(){
	var uno="1";
	if(!uno=="<%=mostrar_hijos%>")
		document.frm.usuario.focus();
} 

</script>

</head>
<body onLoad="hacer_focus()">
<div style="padding:50px;<% if (!es_app || es_error) {%>display:none<%} %>">
	Berbideratzen... / Redireccionando...
</div>
<div class="container"<% if (es_app && !es_error) {%> style="display:none" <%} %>>

	<div class="col-sm-12">
		<img src="/appcont/itourbask/imgs/logo_itourbask.jpg" class="img-responsive alinear_logo_itourbask">	
		<img src="/appcont/itourbask/imgs/sarrera.jpg" class="img-responsive alinear_logo_itourbask">	
	</div>
	
	<div class="col-sm-12 login_info">
	
		<div class="col-sm-2"></div>
		<div class="form-group-inline col-sm-8">
		
			
	       <h3 id="mensajeError" style="display:none;" class="alert alert-danger" align="center"></h3>  	
   
	        <form name="frm" action="/q53ItourbaskWar/q53genLoginServlet" method="post">
	        		
	        	<input type="hidden" name="es_usuario_padre" value="no">
	        	<input type="hidden" name="origen" value="login">
	        	<input type="hidden" name="eleccion_del_coordinador" id="eleccion_del_coordinador" value="nada">	
	
     	     		<div class="form-group-inline col-sm-12">
		           		<div class="col-sm-1">
		       				<img src="/appcont/itourbask/iconos/iko_user.png" class="icono_login">
		       			</div>
		       			<div class="col-sm-5 form-group-inline">
							<div class="col-lg-12">
								<div class="floating-placeholder">
									<label for="usuario"></label>
									<input type="text" id="usuario" name="usuario" class="form-control" style="font-family: arial,helvetica;font-size: 3p;" value="" placeholder="Erabiltzailea / Usuario" required>
								</div>
							</div>
						</div>
					</div>
					<div class="form-group-inline col-sm-12">
						<div class="col-sm-1"></div>
		       			<div class="col-sm-5 form-group-inline">
							<!-- <label for="clave" class="col-lg-3 control-label" align="right"><font face="arial,helvetica" size=2>Pasahitza</font> <font color=#0080FF face="arial,helvetica" size=2>Clave</font></label> -->
							<div class="col-lg-12">
								<div class="floating-placeholder">
									<label for="clave"></label>
									<input type="password" id="clave" name="clave" class="form-control" style="font-family: arial,helvetica;font-size: 3p;" value="" placeholder="Pasahitza / Clave" required>
								</div>
							</div>
						</div>
						<div class="col-sm-4 form-group-inline" id="radio_idiomas">
							<input type="radio" name="radio_idioma" id="euskara" value="E" class="radio_idioma" checked>
							<label for="euskara"><font face="arial,helvetica" size=2>Euskara</font></label>
							<input type="radio" name="radio_idioma" id="castellano" value="C" class="radio_idioma">
							<label for="castellano"><font color=#0080FF face="arial,helvetica" size=2>Castellano</font></label>
						</div>
						<div class="col-sm-1 form-group-inline">
							<input type="submit" class="btn btn-material-circle button_login" value="">
						</div>  
					</div>
	           					           
				   	<div class="form-group col-sm-12 alinear_logo_itourbask_foto" style="display:none;">
				        <input type="button" name="aceptarr" value="ACEPTAR" onclick="aceptar('C')" style="background-color:#0080FF; color:white; font-family: arial,helvetica; font-weight:bold">
				        <img src="/appcont/itourbask/imgs/px.gif" border="0" width="10" height="1"> 
				        <input type="button" name="onartuu" value="ONARTU " onclick="aceptar('E')" style="background-color:#0080FF; color:white; font-family: arial,helvetica;font-weight:bold">
	               	</div>  

	
	        </form>
	        
    	</div>    
	</div>
</div>

<script>
	$(document).ready(function(){
	
		$("#radio_idiomas").buttonset();
				
		//$(".combo_tipo_usuario").selectmenu();
		
		$(".btn-material-circle").click(function(){
			$("#mensajeError").fadeOut();
			$(this).removeClass("button_login");
			$(this).addClass("button_login_push");
			if ($(this).attr("id")=="aceptar"){
				aceptar("");
			} else {
				if ($("input[name=radio_idioma]:checked").val()=="C"){
					aceptar('C');
				} else {
					aceptar('E');
				}
			}
		});
		
		$("#usuario").keyup(function(){
			$("#mensajeError").fadeOut();
		});
		
		$("#clave").keyup(function(){
			$("#mensajeError").fadeOut();
		});
		
		$(function(){
			var hayError = false;
	        var textoError = "";
	        if (prm_isParametro("es_usuario_error")) {
	        		hayError = true;
	        	if (cki_getCookie("q53_idioma")=="C"){
	        		textoError = "Usuario / clave incorrecta";
				} else {
					textoError = "Erabiltzailea / pasahitza ez da zuzena";
				}
			}
			else if (prm_isParametro("es_usuario_no_sesion")) {
				hayError = true;
				if (cki_getCookie("q53_idioma")=="C"){
					textoError = "Se ha perdido la información de sesión. Vuelve a hacer el login.";
				} else {
					textoError = "Sesioaren informazioa galdu egin da. Berriro baliozkotu, mesedez.";
				}
			}
            else if (prm_isParametro("es_usuario_no_permiso")) {
                hayError = true;
                if (cki_getCookie("q53_idioma")=="C"){
                    textoError = "El usuario no tiene el perfil necesario";
                } else {
                    textoError = "Erabiltzaileak ez du beharrezko profila.";
                }
            }
			if (hayError){
				$("#mensajeError").text(textoError);
				$("#mensajeError").fadeIn();
			}
		});
				
		$(function(){
			var idioma = cki_getCookie("q53_idioma");
			cargaValoresInicioSelects();
		});

		$('.floating-placeholder input[type=text]').change(function() {
			floatIt($(this));
		});
		$('.floating-placeholder input[type=password]').change(function() {
			floatIt($(this));
		});
		$('.floating-placeholder input[type=text]').keyup(function() {
			floatIt($(this));
		});
		$('.floating-placeholder input[type=password]').keyup(function() {
			floatIt($(this));
		});
		$('.floating-select select').change(function() {
			floatSelect($(this));
		});
 	 	cargaValoresInicio();	
 	 	floatIt($("#clave")); 		
		
	});
</script>

<script src="/appcont/itourbask/scripts/floating-labels.js"></script>
</body>
</html>
